package emulator.GUI.tape;

import java.awt.BorderLayout;

import javax.swing.JFrame;

import emulator.GUI.PersistentFrame;
import emulator.hardware.io.peripherals.VicTape;

@SuppressWarnings("serial")
public class VicTapeFrame extends PersistentFrame {
	
	VicTapePanel panel;

	public VicTapeFrame(VicTape tape)
	{
		super("Vic Tape");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		panel = new VicTapePanel(tape);
		
		setLayout(new BorderLayout());
        add(panel, BorderLayout.CENTER);
	}
}
