package emulator.hardware.nmos6502.commands;

import emulator.hardware.memory.UnmappedMemoryException;
import emulator.hardware.nmos6502.Command;
import emulator.hardware.nmos6502.CommandSet;
import emulator.hardware.nmos6502.Cpu6502;
import emulator.hardware.nmos6502.Operand;
import emulator.hardware.nmos6502.operands.OperandException;

public class IllegalOpcode implements Command {

	@Override
	public void execute(Cpu6502 cpu, Operand operand) throws OperandException,
			UnmappedMemoryException, IllegalOpcodeException {
		throw new IllegalOpcodeException();
	}

	@Override
	public String getName() {
		return "ILL";
	}

	@Override
	public void register(CommandSet cset) {
	}

}
