package emulator.hardware.nmos6502.commands;

import emulator.EmulatorException;
import emulator.hardware.HwByte;
import emulator.hardware.HwWord;

public class IllegalOpcodeException extends EmulatorException {

	HwWord address;
	HwByte opcode;
	
	public IllegalOpcodeException(HwWord address, HwByte opcode) {
		super("Illegal opcode "+opcode+" at address "+address);
		this.opcode = opcode;
		this.address = address;
	}

	protected IllegalOpcodeException() {
		super("Illegal opcode");
	}

	/**
	 * 
	 */
	private static final long serialVersionUID = -3440984583621112045L;

}
