package emulator.hardware.nmos6502.stack;

import emulator.hardware.HwNumber;

public class StackEntry {
	private int sp;
	private int source;
	private HwNumber data = null;
	
	public StackEntry(int sp, int source, HwNumber data)
	{
		this.sp = sp;
		this.source = source;
		this.data = data;
	}

	/**
	 * @return the sp
	 */
	public int getSp() {
		return sp;
	}

	/**
	 * @param sp the sp to set
	 */
	public void setSp(int sp) {
		this.sp = sp;
	}

	/**
	 * @return the source
	 */
	public int getSource() {
		return source;
	}

	/**
	 * @param source the source to set
	 */
	public void setSource(int source) {
		this.source = source;
	}

	/**
	 * @return the data
	 */
	public HwNumber getData() {
		return data;
	}

	/**
	 * @param data the data to set
	 */
	public void setData(HwNumber data) {
		this.data = data;
	}
}
