package emulator.support;

import java.util.HashMap;
import java.util.Map;

public class CpuState {
	Map<String, Integer> value_map = new HashMap<String, Integer>();

	public int getValue(String label) {
		Integer value = value_map.get(label);
		if (value == null)
			throw new IndexOutOfBoundsException(label);
		return value;
	}

	public void setValue(String label, int value) {
		value_map.put(label, value);
	}

}
