package emulator.unittest.hardware.memory;

import static org.junit.Assert.fail;
import emulator.hardware.HwByte;
import emulator.hardware.HwWord;
import emulator.hardware.memory.UnmappedMemoryHandler;

public class UnmappedMemoryFail implements UnmappedMemoryHandler {

	@Override
	public HwByte read(HwWord address) {
		fail("Memory access at "+address+" failed.");
		return null;
	}

}
