package emulator.unittest.hardware.nmos6502;

import static org.junit.Assert.*;

import org.junit.Test;

import emulator.hardware.nmos6502.Flags6502;


public class Flags6502Test {
	@Test
	public void testStringConversion()
	{
		for (int i = 0; i < 256; i++)
		{
			Flags6502 flags_in = new Flags6502(i & ~32);
			String flags_string = flags_in.toFlagString();
			Flags6502 flags_out = new Flags6502();
			flags_out.fromFlagString(flags_string);
			assertEquals(flags_in.getNumber(), flags_out.getNumber());
		}
	}
}
