package emulator;

import emulator.analyzer.sid.SidProcessor;

public class TestSid {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		if (args.length == 0)
		{
			System.out.println("TestSid: arguments missing.");
			System.out.println("Usage: TestSid <SID>");
			System.exit(0);
		}
		try {
			SidProcessor sid_processor = new SidProcessor(args[0]);
			sid_processor.processSid(0, 1, true);
			if (sid_processor.isValid())
				sid_processor.printResult(System.out);
				
		}
		catch (Exception e)	{
			System.err.println("Exception: "+e.getMessage());
			System.exit(1);
		}
		System.exit(0);
	}

}
