package emulator.analyzer.util;

public class FlowMapper implements AddressMapper {
	
	private AddressMapper inner_mapper;
	private int[] flow_field;

	public FlowMapper(AddressMapper base_mapper, int[] dyn_flow) {
		inner_mapper = base_mapper;
		flow_field = dyn_flow;
	}

	@Override
	public void set(byte[] memory, int address, int value) {
		inner_mapper.set(memory, flow_field[address], value);
	}

}
