package emulator.hardware.debug;

import emulator.EmulatorException;

public class BreakpointException extends EmulatorException {

	public BreakpointException(int i) {
		super("break at $"+ hexStringFromWord(i));
	}

	private static String hexStringFromWord(int i) {
		String s="0000"+Integer.toHexString(i);
		return s.substring(s.length()-4);
	}

	/**
	 * 
	 */
	private static final long serialVersionUID = 2060614035146584141L;

}
