package emulator.hardware.io.peripherals.iec;

import java.nio.ByteBuffer;

public interface IecSimDevice {
	void setIecSim(IecSim iec_sim);
	
	void processCommand(ByteBuffer data);
	void processData(ByteBuffer data);
	
	void unlisten();
	void listen();

	void talk();
	void untalk();

	int read();

	void rewind(int offset);
}
