package emulator.hardware.io.peripherals.iec;

import java.nio.ByteBuffer;

public class IecSimNullPrinter implements IecSimDevice {

	@Override
	public void setIecSim(IecSim iec_sim) {
		/* NOP */
	}

	@Override
	public void processCommand(ByteBuffer data) {
		/* NOP */
	}

	@Override
	public void processData(ByteBuffer data) {
		/* NOP */
	}

	@Override
	public void unlisten() {
		/* NOP */
	}

	@Override
	public void listen() {
		/* NOP */
	}

	@Override
	public void talk() {
		/* NOP */
	}

	@Override
	public void untalk() {
		/* NOP */
	}

	@Override
	public int read() {
		return -1;
	}

	@Override
	public void rewind(int offset) {
	}
}
