package emulator.hardware.io.registers6522;

import emulator.hardware.io.Register6522;
import emulator.hardware.io.Via6522;

public class T2CL implements Register6522 {

	@Override
	public int read(Via6522 via) {
		return via.readT2CL();
	}

	@Override
	public void write(Via6522 via, int value) {
		via.writeT2CL(value);
	}

}
