package emulator.hardware.memory;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public interface MemoryBlockInterface {

	public abstract void loadFromStream(InputStream file, int address, int size)
			throws IOException;

	public abstract byte[] getData();

	public abstract void saveToStream(OutputStream file, int address, int size)
			throws IOException;

}