package emulator.hardware.nmos6502;

import emulator.EmulatorException;

/** Abstract 6502 command */
public interface Command {
	/** execute command on CPU using operand 
	 * @throws EmulatorException */
	public void execute(Cpu6502 cpu, Operand operand) throws EmulatorException;
	public String getName();
	public void register(CommandSet cset);
}
