package emulator.hardware.nmos6502;

public class CommandDefinition {
	Command command;
	Operand operand;
	int cycles;
	
	CommandDefinition(Command command, Operand operand) {
		this.command = command;
		this.operand = operand;
		this.cycles = 2;
	}

	CommandDefinition(Command command, Operand operand, int cycles) {
		this.command = command;
		this.operand = operand;
		this.cycles = cycles;
	}

	/**
	 * @return the command
	 */
	public Command getCommand() {
		return command;
	}

	/**
	 * @return the operand
	 */
	public Operand getOperand() {
		return operand;
	}

	public int getCycles() {
		return cycles+operand.getExtraCycles();
	}
}
