package emulator.hardware.video.test;

import emulator.hardware.clock.ClockHandle;

public class CountingClockHandle implements ClockHandle {

	private CountingClock clock;

	public CountingClockHandle(CountingClock clock) {
		this.clock = clock;
	}

	@Override
	public void tick() {
		clock.count(1);
	}

	@Override
	public void tick(int x) {
		clock.count(x);
	}

	@Override
	public long getTicks() {
		return clock.getCounterValue();
	}

}
