package emulator.shell.commands;

import emulator.shell.DebugShell;
import emulator.shell.ShellCommand;

public class Wait implements ShellCommand {

	@Override
	public boolean execute(DebugShell shell, String[] arg) throws Exception {
		shell.getCpu().waitForHalt();
		return false;
	}

	@Override
	public void printHelp(DebugShell shell) {
		shell.getOut().println("command syntax:");
		shell.getOut().println("wait  - wait for halt");
	}

}
