package emulator.support;

public class NullOperandEval implements OperandEval {

	@Override
	public String getDetails(CpuState cpu_state) {
		return null;
	}

	@Override
	public boolean isAddress() {
		return false;
	}

	@Override
	public int getAddress(CpuState cpu_state) {
		return -1;
	}

	@Override
	public boolean isIndirect() {
		return false;
	}
}
