package emulator.unittest.cbm;

import static org.junit.Assert.*;

import org.junit.Test;

import emulator.cbm.Petscii;


public class PetsciiTest {
	@Test
	public void testConversion()
	{
		for (char ch = 32; ch < 127; ch++)
		{
			int by = Petscii.asc2pet(ch);
			if (by < 0) by += 256;
			assertEquals(ch, Petscii.pet2asc((char) by));
		}
	}
}
